﻿$Komp = 'NTK-CORE'
$Cred = Get-Credential
Enter-PSSession -VMName $Komp -Credential $Cred

### Get Firewall Rule for Event Manger
Get-NetFirewallRule -CimSession $Komp *EventLog* | Format-Table Name, DisplayName, Action, Enabled
### Enable firewall for Remote EventView
Get-NetFirewallRule -CimSession $Komp *EventLog* | Set-NetFirewallRule –Enabled True -Profile Any
### Get Firewall Rule for Remote Disk Manager
Get-NetFirewallRule -CimSession $Komp, localhost *RVM* | Format-Table Name, DisplayName, Action, Enabled
### Enable firewall for Remote EventView
Get-NetFirewallRule -CimSession $Komp, localhost *RVM* | Set-NetFirewallRule –Enabled True -Profile Any

##ipconfig
Get-NetIPConfiguration
# List all Network Adapters
Get-NetAdapter
# Get more information VLAN ID, Speed, Connection status
Get-NetAdapter | ft Name, Status, Linkspeed, VlanID
# Get driver information
Get-NetAdapter | ft Name, DriverName, DriverVersion, DriverInformation, DriverFileName
# Get adapter hardware information. This can be really usefull when you need to know the PCI slot of the NIC.
Get-NetAdapterHardwareInfo
# Ping
Test-NetConnection -ComputerName localhost -InformationLevel Detailed
Test-NetConnection -ComputerName localhost -TraceRoute 
Test-NetConnection -ComputerName localhost -CommonTCPPort SMB
Test-NetConnection -ComputerName localhost -Port 443
## NSLookup
Resolve-DnsName www.outlook.com
Resolve-DnsName outlook.com -Type MX -Server 8.8.8.8
## NetStat
Get-NetTCPConnection
Get-NetTCPConnection –State Established
Get-NetTCPConnection -State Listen
## SMB commands
Get-SmbConnection
Get-SmbOpenFile